tt_pattern_file_add(library call)

NAME
tt_pattern_file_add — add a value to the file field of a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_file_add(
Tt_pattern p,
const char *file);

DESCRIPTION

The tt_pattern_file_add function adds a value to the file field of the specified pattern.

The application can use this call to set individual files on individual patterns.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called. The file argument is the name of the file of the specified pattern.

RETURN VALUE

Upon successful completion, the tt_pattern_file_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

However, this call does not cause the pattern's ToolTalk session to be stored in the database.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).